project(tw_quicr_tests)

# set(CMAKE_CXX_CLANG_TIDY "/usr/bin/clang-tidy;-checks=*")

file(GLOB FILES
    src/*.cpp
)

add_library(tw_quicr_lib STATIC ${FILES})

target_include_directories(tw_quicr_lib
        PUBLIC
        ${PROJECT_SOURCE_DIR}/src/
)

target_link_libraries(tw_server_lib
        PUBLIC
        tl::expected
)

# add_executable(QuicrOverloadTest ./quicr/QuicrOverloadTests.cpp)
# add_executable(QuicrBenchmarks ./quicr/QuicrBenchmarks.cpp)

target_link_libraries(QuicrBenchmarks
    PRIVATE
    ${LIBS}
    ${PROJECT_NAME}_sources
    Tracy::TracyClient
    Catch2::Catch2WithMain
    tl::expected
    EnTT::EnTT
)

target_link_libraries(QuicrOverloadTest
    PRIVATE
    ${LIBS}
    ${PROJECT_NAME}_sources
    Tracy::TracyClient
    TracyClient
    Catch2::Catch2WithMain
    tl::expected
    EnTT::EnTT
)

 add_subdirectory(./tests/)
